# $Id: version.c.SH,v 1.17 2000/05/05 18:28:44 stskeeps Exp $
case $CONFIG in
'')	 if test -r ../config.sh
	 then 
	    . ../config.sh ;
	 else 
	    spitshell=cat
	    package=IRC
	 fi
	 ;;
esac

echo "Extracting $package/ircd/version.c..."

if test -r version.c
then
   generation=`sed -n 's/^char \*generation = \"\(.*\)\";/\1/p' < version.c`
   if test ! "$generation" ; then generation=0; fi
else
   generation=0
fi

generation=`expr $generation + 1`

creation=`date | \
awk '{if (NF == 6) \
         { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
         { print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`

$spitshell >version.c <<!SUB!THIS!
/*
 *   IRC - Internet Relay Chat, ircd/version.c
 *   Copyright (C) 1990 Chelsea Ashley Dyerman
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 * 
 *   $Id: version.c.SH,v 1.17 2000/05/05 18:28:44 stskeeps Exp $
 */

/*
 * This file is generated by version.c.SH. Any changes made will go away.
 */

#include "struct.h"
#include "version.h"
#include "license.h"

char *generation = "$generation";
char *creation = "$creation";
#define IRCDTOTALVERSION BASE_VERSION PATCH1 PATCH2 PATCH3 PATCH4 PATCH5 PATCH6 PATCH7 PATCH8 PATCH9
char *version = IRCDTOTALVERSION;

/* moved to s_serv.c */
char *infotext[] = 
{ 0 };

char *unrealcredits[] =
{
	"-=-=-=-=-=-=-=-=-=-= [ " IRCDTOTALVERSION " Credits ] -=-=-=-=-",
	"The people on this list is people who have helped up through",
	"the development of UnrealIRCd. The Unreal Team would like to thank",
	"those people by listing them here:",
	"-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=",
	"              \2\37The UnrealIRCd Team would like to thank:\2\37",
	"Nutcais (Phil Hawkins)",
	"- the original shell for Unreal development, useful comments,",
	"  being a real IRCbrother for me (Stskeeps) :), learning me a lot",
	"  about IRC stuff, getting me more and more into IRCd business",
	"  thanks for the *.tspre.org domain as well :)",
	"",
	"Mick and Sp^",
	"- Amiga port of Unreal (UnrealIRCd/Amiga), continually strange",
	"  comments on #UnrealIRCd, being great supporters of Unreal",
	"  and following Unreal development all the way",
	"DrBin (Dave) drbin@tspre.org",
	"- Recoded & made the new UnrealIRCd/32 code, support,"
	"  finding bugs, and tonnes of other stuff:)",
	"Headbang (Melle Visser)",
	"- Donation of ircsystems.net, hardware for Stskeeps, and for",
	"  being a great supporter of Unreal, and helping out at the",
	"  support channel",
	"WonderWal (Alan Wolff)",
	"- Sending Stskeeps Slackware 7, and Visual Studio",
	"  helping out in the help channel, and a lot of other stuff",
	"{X} (Laurie) x@tspre.org",
	"- Making the main code/design of UnrealIRCd/32 gui",
	"  bugfounds, etc",
	"SourceForge.net",
	"- Good hosting, CVS hosting, FTP etc etc:) - thanks for",
	"  supporting opensource projects",
	"",
	"                         \37Donations to Unreal:\37",
	"BlueFlame^",
	" - the first UnrealIRCd donation :)",
	"Thanks to Headbang and WonderWal too for hardware+software",
	"donations",
	"   (yes your name can be here too;)",
	"",
	"              \37These people have helped alpha/betatesting\37",
	"zshack, Headbang, Mick, Sp^, WonderWal, bomb, BullFrog, JacobD,",
	"SirDeath, l33, EiniD, uo, RevPsych and the subgenius.net network,",
	"^RavenX^, Mich[a]el, {X}, Fish, Shmad, Killer, BrainSCAN, RevNull,",
	"GoNiS (irc.coreplex.org), Mikey, DrBin, and others",
	"",
	"",
        "                   \2\37Stskeeps would like to thank:\2\37", 
	"Morrigan             Julie Frederiksen",
	" - Being a friend, thinking I was cute, uhm laying on a recycle",
	"   thing.. 'Its the wrong recycle box Julie!', 'you got too cold",
	"   hands *freezing*', etc ;)",
	"DJBoxy       *unknown*                *unknown*",
	" - For getting me up from #wIRCd bringing me to Mp3fansNet and",
	"   after we linked to Global-IRC.net - and made people choose me",
	"   as netadmin/ircd coder - Thanx!",
	"TC           Tabita Clausen           (reallife)",
	" - Making me smile of my life, talking with me, being a friend",
	"   always got a pen sharpener when needed=/, accepting some",
	"   wierdnesses from my side, going to the cinema with me",
	"   and many other stuff. You'll always be in my heart,",
	"   sorry for all the things I did or maybe didn't",
	"   love you :(",
        "SL7          Steve Lake               sl7@global-irc.net",
        " - Bug testing, comments, lotsa ideas, wierd reactions,",
        "   making Apollo, supporting Unreal and other freakout",
        "   thingies, being a general wierdoe etc. ",
	"Dark-Prince",
	" - Systray code, sharing ideas, code, bugs, and a lot of stuff",
	"Sporty_McFly  Cedric",
	" - Comments, helping me when I got problems with my life and so on",
        "   *toh* to him - Thanks!",
	"Del_Monte     K. Hawkes               k.hawkes@zombies.force9.net",
	" - Is just trying to put the lamer side of things across :cP",
	"   No. I saw 2 moos. - Well having to input in seconds",
	"   is fine if you're real quick at maths - but if not - it's a PAIN",
	"   - Comments, bugfixes, moral support etc.;)",
	"Skywalker     Chris Morley            skywalker@irc.ru.ac.za",
	" - Helping me start up ROXnet at first (which brought me",
	"   into IRCd business.. + Numerous kicks /Kills akills and alike;)",
	"zero9000      Kevin Alford",
	" - UnrealIRCd logo, graphics, null desu ;), ideas etc.",
        "                   \2\37codemastr would like to thank:\2\37", 
	"CaliMonk      Ivo Teel                calimonk@nhn.net",
	" - Getting me started at NeoHorizon which basically got me",
	"   started coding IRCd",
	"Kenpo         Ian Ricci               ianr@nhn.net",
	" - Starting me out learning *nix and giving me a place",
	"   to develop Unreal",
	"[FBI]         Corey Lang              *unknown*",
	" - Being a good IRC friend and getting me started with",
	"   IRC through our old little wIRCd net :)",
	"",                     
	"                            \2\37Also thanks to:\2\37",
	"Enforcer, Andy Church, Mick, Sp^, ShadowMastr, Almaris",
	"}{, Erik/Dr|zzt, Hedge, Kyle, MissKel, jfc, Fish, kore, Syndicate, Bagge,",
	"#Coder-Com@Undernet, ^NeVeR^, flygirl^, DannyM, JuliuZ, wah-wah^, Lisa,",
	"Melisa, Dukemaster, NonMortal, Andryan, TomaHawk, Lushes, Skywalker, Merlin, Sporty_McFly,", 
	"zero9000, #wIRCd@DALnet, comstud, dog3, Dianora, Isomer, and others who arent listed here:)",
	"",
	"------------------------------------------------------",
	"Unreal 3.0, and 3.1 and up is dedicated to Morrigan - Julie Frederiksen",
	"- a girl who have helped me through anything in my life, hugging",
	"me at the right times, a definate dedication. Thanks for the kisses",
	"long phonetalks, waste of my mobilephone ;), crying together",
	"and making life go on for us both. I will never forget you",
	"never leave you, love ya forever",
	"------------------------------------------------------",
	"This IRCd is dedicated to the love that has always been",
	"and will always be there - Thanks to the girls & friends that kept me up",
	"when I was down",
	0
};
char *unrealcreditsold[] = 
{
	0
};

char *dalinfotext[] =
    {
        "$package --",
        "Based on the original code written by Jarkko Oikarinen",
        "Copyright 1988, 1989, 1990, 1991 University of Oulu, Computing Center",
        "",
        "This program is free software; you can redistribute it and/or",
        "modify it under the terms of the GNU General Public License as",
        "published by the Free Software Foundation; either version 1, or",
        "(at your option) any later version.",
	"- Any name/comment should never be changed except by the one who made it -",
	"",
	"UnrealIRCd contains code developed by:",
	"Potvin       Chris Wolkowski          potvin@acestar.org",
	"RogerY       Roger Y.                 rogery@austnet.org",
	"GZ                                    gz@starchat.net",
	"binary                                ",
	"Roar Thronaas <roart@nvg.ntnu.no> added IPv6 support.",
	"",
	"",
	"The following people have helped in making the DALnet ircd",
        "that is based on irc2.8.21.mu3.2 :",
        "",
        "Russell      Russell Miller           russell@dal.net",
        "Donwulff     Jukka Santala            donwulff@dal.net",
        "Aetobatus    Michael Sawyer           aetobatus@dal.net",
        "Dalvenjah    Sven Nielsen             dalvenjah@dal.net",
        "Skandranon   Michael Graff            explorer@flame.org",
        "Barubary     -                        barubary@dal.net",
        "white_dragon Chip Norkus              wd@dal.net",
        "DuffJ        Dafydd James             duffj@dal.net",
        "taz          David Kopstain           taz@dal.net",
        "NikB         Nik Bougalis             nikb@dal.net",
        "Rakarra      -                        rakarra@dal.net",
        "DarkRot      Lucas Madar              darkrot@dal.net",
        "Studded      -                        studded@dal.net",
        "JoelKatz     David Schwartz           joelkatz@dal.net",
        "",
        "This product includes software developed by Colin Plumb.",
        "",
        "The following persons have made many changes and enhancements to the",
        "code and still know how IRC really works if you have questions about it:",
        "",
        "Run          Carlo Kid                carlo@runaway.xs4all.nl",
        "Avalon       Darren Reed              avalon@coombs.anu.edu.au",
        "msa          Markku Savela            Markku.Savela@vtt.fi",
        "Wumpus       Greg Lindahl             gl8f@virginia.edu",
        "WiZ          Jarkko Oikarinen         jto@tolsun.oulu.fi",
        "Argv         Armin Gruner Armin.Gruner@Informatik.TU-Muenchen.de",
        "",
        "Thanks to the following people for help with preparing 2.8",
        "",
        "phone        Matthew Green            phone@coombs.anu.edu.au",
        "Sodapop      Chuck Kane               ckane@ece.uiuc.edu",
        "Skygod       Matt Lyle                matt@oc.com",
        "Vesa         Vesa Ruokonen            ruokonen@lut.fi",
        "Nap          Nicolas PIOCH pioch@poly.polytechnique.fr",
        "",
        "Those who helped in prior versions and continue to be helpful:",
        "",
        "Stellan Klebom      Dan Goodwin         Mike Bolotski",
        "Ian Frechette       Markku Jarvinen     Kimmo Suominen",
        "Jeff Trim           Vijay Subramaniam   Karl Kleinpaste",
        "Bill Wisner         Tom Davis           Hugo Calendar",
        "Tom Hopkins         Stephen van den Berg",
        "Bo Adler            Michael Sandrof     Jon Solomon",
        "Jan Peterson        Helen Rose          Paul Graham",
        "",
        "Thanks also goes to those persons not mentioned here who have added",
        "their advice, opinions, and code to IRC.",
        "Thanks also to those who provide the kind sys admins who let me and",
        "others continue to develop IRC.",
        "",

        0
    };
!SUB!THIS!
